Subject: Re: Kernel panic eth2 mirred redirect to ifb0

From: Paweł Staszewski <[email-masked]>
Date: Mon, 20 Dec 2010 10:13:22 +0100

W dniu 2010-12-20 09:06, Eric Dumazet pisze:
> Le lundi 20 décembre 2010 à 09:01 +0100, Paweł Staszewski a écrit :
>> W dniu 2010-12-19 23:26, Jarek Poplawski pisze:
>>> Jarek Poplawski wrote:
>>>> Jarek Poplawski wrote:
>>>>> Paweł Staszewski wrote:
>>>>>> for sch_generic.h was ok.
>>>>> Should be enough to try after reverting this sch_generic.h change only.
>>>> Hmm... Sorry, I meant the change inside skb_act_clone(). I'll send a patch.
>>> Here it is.
>>>
>>> Jarek P.
>>>
>> Yes reverting this patch solves the problem.
> Thanks !
>
> I tried to reproduce the crash without success. Might be related to 10Gb
> speed. (I only have 1Gb here right now)
>
>
Yes this is only ixgbe 10Gbit issue on e1000e all is working correctly.

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>